!c Description:
!c   phase ͤĴ
!c
!c Current Code Owner: 
!c   sugiyama@gfd-dennou.org
!c
!c Histry: 
!c   Version    Date          Comment
!c   -------    ----------    --------
!c   1.0        2003-03-02    
!c
!c Copyright (C) SUGIYAMA Ko-ichiro, 2003, All rights reserved

module interface_phase_pack
  interface
     
     subroutine phase_pack(phase)
       integer(8), intent(inout)  :: phase(:)     !ؼֹ
     end subroutine phase_pack

  end interface
end module interface_phase_pack




subroutine phase_pack(phase)
  implicit none
  integer(8), intent(inout)  :: phase(:)     !ؼֹ

  integer(8), allocatable    :: phase_tmp(:)
  integer(8)                 :: s, N
  integer(8)                 :: min
  integer(8)                 :: max
  integer(8)                 :: nstep


!!!
!!!ν
!!!
  nstep = 1
  N = size(phase)

  !η
  allocate(phase_tmp(N))


!!!
!!!Τ phase ֹ椬 4 ΤΤ򲽳ؼֹѹ
!!!
  do s = 1, N
     if (phase(s) == 4) then  
        phase(s) = s       
     end if
  end do
  max = maxval(phase)
  
  
!!!
!!!Τ, ͤξʤΤ缡 do 롼פβ촹. 
!!!
  pack: do 
     min = minval(phase, 1, phase >= nstep) 
     
     phase_tmp = nstep             
     phase = merge(phase_tmp, phase, phase == min)     
     
     nstep = nstep + 1
     if (min == max) exit pack
  end do pack
  

end subroutine phase_pack


